{{page-title @model.feature.name " | " @model.map.name}}

{{#if @model.page}}
  <div class="mt-5 pt-5">
    <Layout @page={{@model.page}} as |layoutCol|>
      <View::Selector @cols={{@model.page.cols}} @layoutCol={{layoutCol}} as |col|>
        <View::Slot @model={{@model}} @value={{col}} />
      </View::Selector>
    </Layout>
  </div>
{{else}}
  <div class="main-container">
    <div class="container pt-4 mb-5 site-article">
      <div class="row">
        <div class="col">
          {{#if (and @model.feature.canEdit (not @model.feature.maps))}}
            <div class="mt-4 alert alert-danger alert-no-map alert-dismissible fade show" role="alert">
              {{capitalize (t "this site is not linked to a map.")}}

              <LinkTo @route="manage.features.edit" class="alert-link" @model={{@model.feature.id}}>
                {{capitalize (t "edit to add one.")}}
              </LinkTo>

              <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
            </div>
          {{/if}}

          {{#unless @model.feature.hasPictures}}
            <div class="mt-4 alert alert-primary alert-dismissible fade show" role="alert">
              {{capitalize (t "this site has no pictures.")}}

              {{#if @model.feature.canEdit}}
                <LinkTo @route="manage.features.edit" class="alert-link" @model={{@model.feature.id}}>
                  {{capitalize (t "edit to add one.")}}
                </LinkTo>
              {{else}}
                <Link @to={{this.addPhotoLink}} class="alert-link">
                  {{capitalize (t "be the first who adds one.")}}
                </Link>
              {{/if}}
              <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
            </div>
          {{/unless}}
        </div>
      </div>

      <div class="row">
        <div class="col">
          <View::Article::Title @value={{this.titlePageColValue}} @model={{@model}} />

          <VisibilityIcon @value={{@model.feature.visibility}} class="float-start me-2" />

          <Breadcrumbs @value={{this.breadcrumbs}} />
        </div>
      </div>

      <div class="row">
        <div class="col-md-8">
          <View::Icon::List @value={{this.iconPageColValue}} @model={{@model}} />

          <View::Gallery @value={{this.coverPageColValue}} @model={{@model}} class="picture-list mb-3 mt-1" />

          <View::Article::Content @value={{this.contentPageColValue}} @model={{@model}} />

          <View::Feature::Attributes @value={{this.attributesPageColValue}} @model={{@model}} class="mt-4" />

          <View::Article::Date @value={{this.lastChangePageCol}} @model={{@model}} />

          <View::Profile::Card @value={{this.profilePageCol}} @model={{@model}} />

          <View::HorizontalLine />

          <View::CardList @value={{this.mapListPageCol}} @model={{this.model}} />
        </div>

        <div class="col pt-3">
          <h4>{{t "Where?"}}</h4>
          {{#if @model.feature.isMasked}}
            <p class="masked-info alert alert-info" role="alert">{{capitalize (t "masked feature info")}}</p>
          {{/if}}

          <View::Map::Feature @value={{this.featurePageColValue}} @model={{@model}} class="mb-3" />

          <View::HorizontalLine />

          <View::Gallery @value={{this.galleryPageColValue}} @model={{@model}} class="picture-list mb-3" />

          <Browse::SoundList @sounds={{@model.feature.sounds}} />
        </div>
      </div>

      <div class="row site-view">
        <div class="col display-content-inline-block">
          <View::Feature::IssueButton @value={{this.reportProblemPageColValue}} @model={{@model}} />
          <span class="ms-1 me-1">|</span>
          <View::Feature::IssueButton @value={{this.suggestPhotoPageColValue}} @model={{@model}} />
        </div>
      </div>
    </div>
  </div>
{{/if}}